Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/tools/host-mkdep Patch host-mkdep with the working host shell.



details:   https://anonhg.NetBSD.org/src/rev/9ea3b549ce37
branches:  trunk
changeset: 536422:9ea3b549ce37
user:      thorpej <thorpej%NetBSD.org@localhost>
date:      Sun Sep 15 17:23:01 2002 +0000

description:
Patch host-mkdep with the working host shell.

diffstat:

 tools/host-mkdep/configure     |  272 +++++++++++++++++++++++-----------------
 tools/host-mkdep/configure.ac  |    7 +-
 tools/host-mkdep/host-mkdep.in |    4 +-
 3 files changed, 166 insertions(+), 117 deletions(-)

diffs (truncated from 874 to 300 lines):

diff -r ce3ad2f7a1ba -r 9ea3b549ce37 tools/host-mkdep/configure
--- a/tools/host-mkdep/configure        Sun Sep 15 17:07:14 2002 +0000
+++ b/tools/host-mkdep/configure        Sun Sep 15 17:23:01 2002 +0000
@@ -923,13 +923,56 @@
 PATH_SEPARATOR="$ac_path_separator"
 rm -f conftest.sh
 
+# Extract the first word of "sh", so it can be a program name with args.
+set dummy sh; ac_word=$2
+echo "$as_me:928: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_BSHELL+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $BSHELL in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_BSHELL="$BSHELL" # Let the user override the test with a path.
+  ;;
+  *)
+  ac_save_IFS=$IFS; IFS=$ac_path_separator
+ac_dummy="$PATH"
+for ac_dir in $ac_dummy; do
+  IFS=$ac_save_IFS
+  test -z "$ac_dir" && ac_dir=.
+  if $as_executable_p "$ac_dir/$ac_word"; then
+   ac_cv_path_BSHELL="$ac_dir/$ac_word"
+   echo "$as_me:945: found $ac_dir/$ac_word" >&5
+   break
+fi
+done
+
+  ;;
+esac
+fi
+BSHELL=$ac_cv_path_BSHELL
+
+if test -n "$BSHELL"; then
+  echo "$as_me:956: result: $BSHELL" >&5
+echo "${ECHO_T}$BSHELL" >&6
+else
+  echo "$as_me:959: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+if test x"$BSHELL" = x; then
+       { { echo "$as_me:964: error: sh must be somewhere on \$PATH" >&5
+echo "$as_me: error: sh must be somewhere on \$PATH" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 ac_config_files="$ac_config_files host-mkdep"
 
 for ac_prog in mawk gawk nawk awk
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:932: checking for $ac_word" >&5
+echo "$as_me:975: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_AWK+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -944,7 +987,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_AWK="$ac_prog"
-echo "$as_me:947: found $ac_dir/$ac_word" >&5
+echo "$as_me:990: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -952,10 +995,10 @@
 fi
 AWK=$ac_cv_prog_AWK
 if test -n "$AWK"; then
-  echo "$as_me:955: result: $AWK" >&5
+  echo "$as_me:998: result: $AWK" >&5
 echo "${ECHO_T}$AWK" >&6
 else
-  echo "$as_me:958: result: no" >&5
+  echo "$as_me:1001: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -970,7 +1013,7 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
 set dummy ${ac_tool_prefix}gcc; ac_word=$2
-echo "$as_me:973: checking for $ac_word" >&5
+echo "$as_me:1016: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -985,7 +1028,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_CC="${ac_tool_prefix}gcc"
-echo "$as_me:988: found $ac_dir/$ac_word" >&5
+echo "$as_me:1031: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -993,10 +1036,10 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:996: result: $CC" >&5
+  echo "$as_me:1039: result: $CC" >&5
 echo "${ECHO_T}$CC" >&6
 else
-  echo "$as_me:999: result: no" >&5
+  echo "$as_me:1042: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1005,7 +1048,7 @@
   ac_ct_CC=$CC
   # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
-echo "$as_me:1008: checking for $ac_word" >&5
+echo "$as_me:1051: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1020,7 +1063,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_CC="gcc"
-echo "$as_me:1023: found $ac_dir/$ac_word" >&5
+echo "$as_me:1066: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1028,10 +1071,10 @@
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  echo "$as_me:1031: result: $ac_ct_CC" >&5
+  echo "$as_me:1074: result: $ac_ct_CC" >&5
 echo "${ECHO_T}$ac_ct_CC" >&6
 else
-  echo "$as_me:1034: result: no" >&5
+  echo "$as_me:1077: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1044,7 +1087,7 @@
   if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
 set dummy ${ac_tool_prefix}cc; ac_word=$2
-echo "$as_me:1047: checking for $ac_word" >&5
+echo "$as_me:1090: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1059,7 +1102,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_CC="${ac_tool_prefix}cc"
-echo "$as_me:1062: found $ac_dir/$ac_word" >&5
+echo "$as_me:1105: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1067,10 +1110,10 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:1070: result: $CC" >&5
+  echo "$as_me:1113: result: $CC" >&5
 echo "${ECHO_T}$CC" >&6
 else
-  echo "$as_me:1073: result: no" >&5
+  echo "$as_me:1116: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1079,7 +1122,7 @@
   ac_ct_CC=$CC
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
-echo "$as_me:1082: checking for $ac_word" >&5
+echo "$as_me:1125: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1094,7 +1137,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_CC="cc"
-echo "$as_me:1097: found $ac_dir/$ac_word" >&5
+echo "$as_me:1140: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1102,10 +1145,10 @@
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  echo "$as_me:1105: result: $ac_ct_CC" >&5
+  echo "$as_me:1148: result: $ac_ct_CC" >&5
 echo "${ECHO_T}$ac_ct_CC" >&6
 else
-  echo "$as_me:1108: result: no" >&5
+  echo "$as_me:1151: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1118,7 +1161,7 @@
 if test -z "$CC"; then
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
-echo "$as_me:1121: checking for $ac_word" >&5
+echo "$as_me:1164: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1138,7 +1181,7 @@
   continue
 fi
 ac_cv_prog_CC="cc"
-echo "$as_me:1141: found $ac_dir/$ac_word" >&5
+echo "$as_me:1184: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1160,10 +1203,10 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:1163: result: $CC" >&5
+  echo "$as_me:1206: result: $CC" >&5
 echo "${ECHO_T}$CC" >&6
 else
-  echo "$as_me:1166: result: no" >&5
+  echo "$as_me:1209: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1174,7 +1217,7 @@
   do
     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:1177: checking for $ac_word" >&5
+echo "$as_me:1220: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1189,7 +1232,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
-echo "$as_me:1192: found $ac_dir/$ac_word" >&5
+echo "$as_me:1235: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1197,10 +1240,10 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:1200: result: $CC" >&5
+  echo "$as_me:1243: result: $CC" >&5
 echo "${ECHO_T}$CC" >&6
 else
-  echo "$as_me:1203: result: no" >&5
+  echo "$as_me:1246: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1213,7 +1256,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:1216: checking for $ac_word" >&5
+echo "$as_me:1259: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1228,7 +1271,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_CC="$ac_prog"
-echo "$as_me:1231: found $ac_dir/$ac_word" >&5
+echo "$as_me:1274: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1236,10 +1279,10 @@
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  echo "$as_me:1239: result: $ac_ct_CC" >&5
+  echo "$as_me:1282: result: $ac_ct_CC" >&5
 echo "${ECHO_T}$ac_ct_CC" >&6
 else
-  echo "$as_me:1242: result: no" >&5
+  echo "$as_me:1285: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 



Home | Main Index | Thread Index | Old Index